
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{

    font-family: Arial, Helvetica, sans-serif;
    color:#333;
}
img{

    max-width:100%;
}

a{
    text-decoration:none;
}
/* =========================
   HEADER / NAVIGATION
========================= */
.navbar{

    margin:auto;
    display:flex;
    align-items:center;
    justify-content:space-between;
    background-color:skyblue;
    padding:15px 30px;

}
.logo img{

    width:60px; height:auto;
     transition: transform 0.3s ease;
}
.logo img:hover {
    transform: translateY(-5px);
}

.menu{
    display:flex;
    list-style:none;
    gap:35px;
}
.menu a{
    color:#0a0600;
    font-size:16px;
    font-weight:600;
    text-transform:uppercase;

}

.menu a:hover{

    color:#f4f5f7;

}
/* Home link color */
.menu a.active {
    color: white;
    font-weight: bold;
}

.social{

    display:flex;
    gap:15px;

}
.social img{

    width:25px;
    height:25px;

}
/* Animation: moves button upward and downward */
@keyframes floatButton {

    0%, 100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }
}
/* Mouse hover effect */
.hero button:hover {
     transform: translateY(-15px) scale(1.08);
     box-shadow: 0 10px 20px rgba(0,0,0,0.2);
}

/* =========================
   FOOTER SECTION
========================= */
.footer {
 background:#06245c;
color:white;
padding:60px 5% 20px;
margin-top:60px;

}

/* Three columns */

.footer-container {
display:flex;
justify-content:space-between;
 gap:50px;
 max-width:1200px;
 margin:auto;

}


/* Each footer area */

.footer-container > div {
 flex:1;

}


/* Footer headings */

.footer h3 {
color:skyblue;
 font-size:22px;
margin-bottom:20px;

}



/* Paragraph */

.footer p {
 font-size:16px;
 line-height:1.6;

}



/* Quick Links */

.footer-links ul {
  list-style:none;
 padding:0;

}



.footer-links li {
    margin-bottom:12px;

}



.footer-links a {
 text-decoration:none;
color:white;
 font-size:16px;
 transition:0.3s;

}



.footer-links a:hover {
 color:skyblue;
 padding-left:8px;

}



/* Bottom copyright */

.footer-bottom {
 text-align:center;
 border-top:1px solid rgba(255,255,255,0.3);
 margin-top:40px;
 padding-top:20px;
 
}







/*-------------------------------------------RESPOSIVE FROM THE PROGRAMMES SECTION -------------------------*/

/* RESPONSIVE */
@media (max-width: 900px) {
    .news-content {
        flex-direction: column;
    }
}






/* =========================
Additional CSS Code to allow you move through all devices 
========================= */

/* ==========================
   TABLET VIEW
========================== */
@media (max-width: 992px) {

    .navbar{
        flex-direction: column;
        text-align: center;
        gap: 15px;
    }

    .menu{
        flex-wrap: wrap;
        justify-content: center;
    }

    .social{
        justify-content: center;
    }

    .welcome,
    .welcome-news,
    .contact-wrapper,
    .footer-container{
        flex-direction: column;
    }

    .card-container,
    .certificate-grid,
    .gallery-container{
        grid-template-columns: repeat(2,1fr);
    }
}
/* ==========================
   MOBILE VIEW
========================== */
@media (max-width: 768px) {

    .navbar{
        flex-direction: column;
        padding: 10px;
    }

    .menu{
        flex-direction: column;
        width: 100%;
        text-align: center;
    }

    .menu li{
        margin: 10px 0;
    }

    .social{
        margin-top: 10px;
    }

    .hero-content,
    .welcome,
    .welcome-news,
    .contact-wrapper,
    .featured-box,
    .news-events-container1,
    .footer-container{
        flex-direction: column;
    }

    .welcome-image img,
    .welcome-content,
    .welcome-content1{
        width: 100%;
    }

    .card-container,
    .certificate-grid,
    .gallery-container{
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .team-card,
    .certificate-card,
    .contact-card,
    .department-card{
        width: 100%;
    }

    .hero-overlay h1{
        font-size: 2rem;
    }

    .footer{
        text-align: center;
    }
}


/* ==========================
   Hamburger Menu
========================== */

.menu-toggle{
    display:none;
    font-size:30px;
    cursor:pointer;
}

@media (max-width:768px){

    .menu-toggle{
        display:block;
    }

    .menu{
        display:none;
        flex-direction:column;
        width:100%;
        text-align:center;
    }

    .menu.active{
        display:flex;
    }
}

/* ==========================
   All Edited CSS Codes to allow me use all devices.
========================== */
@media (max-width: 768px) {

    .institute-name p,
    .institute-name h1 {
        font-size: 28px;
        white-space: normal;
        text-align: center;
    }
}

@media (max-width: 768px) {

    .programme-container {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }
}

@media (max-width: 768px) {

    .hero-content {
        flex-direction: column;
        text-align: center;
    }

    .hero-text,
    .video-section {
        width: 100%;
    }
}
@media (max-width: 768px) {

    .social {
        justify-content: center;
        flex-wrap: wrap;
        gap: 10px;
    }
}
.menu {
    transition: all 0.3s ease;
}


/*====================================================
 RESPONSIVE
=====================================================*/
@media(max-width:992px){
.office-container{
    flex-direction:column;
}
.function-grid{
    grid-template-columns:repeat(2,1fr);
}
.staff-grid{
    grid-template-columns:repeat(2,1fr);
}
}
@media(max-width:768px){
.function-grid{
    grid-template-columns:1fr;
}
.staff-grid{
    grid-template-columns:1fr;
}
.office-image{
    width:280px;
}
.office-text h2{
    text-align:center;
}
.office-text p{
    text-align:left;
}
.office-contact-box{
    padding:25px;
}
}


/* ==================================================
   RESPONSIVE DESIGN
================================================== */


@media(max-width:1100px){



.research-grid,
.consultancy-grid,
.why-grid{


    grid-template-columns:repeat(2,1fr);

}



.library-grid{


    grid-template-columns:repeat(2,1fr);

}



.process-container{


    grid-template-columns:repeat(3,1fr);

}



}




@media(max-width:768px){



.research-container{


    flex-direction:column;

}



.research-grid,
.consultancy-grid,
.library-grid,
.why-grid,
.process-container,
.research-contact-container{


    grid-template-columns:1fr;

}



.section-header h2{


    font-size:30px;

}



.research-text h2{


    font-size:28px;

}


}


/*=========================================
WEBSITE DEVELOPMENT NOTICE
=========================================*/
.development-notice{
    width:100%;
    background:#fff3cd;
    color:#856404;
    border-top:1px solid #ffeeba;
    border-bottom:1px solid #ffeeba;
    text-align:center;
    padding:12px 20px;
    font-size:16px;
    font-weight:600;
    letter-spacing:.3px;
    position:relative;
    z-index:999;
}

.development-notice strong{
    color:#b30000;
}